
import SwiftUI

struct ContentView: View {
   var body: some View {
      VStack {
         Text("Hello, world!")
            .padding()
         Button("Run Task") {
            let imageName = loadImage(name: "My Image")
            print(imageName)
         }
      }
   }
   func loadImage(name: String) -> String {
      sleep(5)
      return "Name: \(name)"
   }
}

#Preview {
    ContentView()
}
